//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#ifndef MYGUIAPP_H
#define MYGUIAPP_H



#include <QTimer>
#include <QApplication>
#include <QGridLayout>

#include <osgViewer/CompositeViewer>
#include <osgViewer/ViewerEventHandlers>

#include <osgUtil/simplifier>

#include <osgUtil/cullvisitor>

#include <osgGA/TrackballManipulator>

#include <osgDB/ReadFile>

#include <osgQt/GraphicsWindowQt>

#include <iostream>

#include <QMainWindow>
#include <QMenuBar>


#include "MyGUIMainWindow.h"

using namespace std;
using namespace osg;




class MyGUIApp : public QApplication {
	
	Q_OBJECT

public:

	MyGUIApp( int &argc, char* argv[] );
   
	inline MyGUIMainWindow* GetMainWindow()  { return _mainWindow; }

private:

	MyGUIMainWindow *_mainWindow;

};




#endif