//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#ifndef MYPIXELSIZECALLBACK_H
#define MYPIXELSIZECALLBACK_H


#include <osgViewer/Viewer>
#include <osgUtil/Simplifier>
#include <osgUtil/Optimizer>
#include <osgDB/readfile>
#include <osgDB/ImagePager>
#include <osgDB/WriteFile>
#include <osg/Drawable>
#include <osg/group>
#include <osg/ProxyNode>
#include <osg/ref_ptr>
#include <osg/NodeVisitor>
#include <osg/PagedLOD>




class MyPixelSizeCallback : public osg::NodeCallback 
{
public:

	float PixelSize;
	float PixelLength;

	MyPixelSizeCallback();

    virtual void operator()(osg::Node* node, osg::NodeVisitor* nv);
};



#endif