//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#include "MySnapImage.h"




MySnapImage::MySnapImage()
{
    _snapImageOnNextFrame = false;
	_image = new osg::Image;
}


void MySnapImage::operator () (const osg::Camera& camera) const
{
        if (!_snapImageOnNextFrame) return;

        int x,y,width,height;
        x = camera.getViewport()->x();
        y = camera.getViewport()->y();
        width = camera.getViewport()->width();
        height = camera.getViewport()->height();

        _image->readPixels(x,y,width,height,GL_RGB,GL_UNSIGNED_BYTE);

        _snapImageOnNextFrame = false;
}
