//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================






class MyKeyboardHandler : public osgGA::GUIEventHandler 
{
public: 

	bool W, D, A, S, SHIFT;


	MyKeyboardHandler()
	{
		W = false;
		D = false;
		A = false;
		S = false;
		SHIFT = false;
	}

    bool handle(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa)
    {
        switch(ea.getEventType())
        {
            case(osgGA::GUIEventAdapter::KEYUP):
            {
                if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Up)
					W = false;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Right)
					D = false;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Left)
					A = false;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Down)
					S = false;  
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Shift_L || ea.getKey() == osgGA::GUIEventAdapter::KEY_Shift_R)
					SHIFT = false;  
				break;

			}
			case(osgGA::GUIEventAdapter::KEYDOWN):
            {
                if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Up)
					W = true;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Right)
					D = true;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Left)
					A = true;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Down)
					S = true;
				if (ea.getKey() == osgGA::GUIEventAdapter::KEY_Shift_L || ea.getKey() == osgGA::GUIEventAdapter::KEY_Shift_R)
					SHIFT = true;  
				break;
            }
		}
		return false;
	}
};

