//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#include "MySpaceScene.h"


void MySpaceScene::CreateScene(bool in_paged, bool in_moreTextures, bool in_mipmap, bool in_impostor)
{

	_ld = osg::Vec4(0.2, 0.2, 0.2, 1);
	_la = osg::Vec4(0.1, 0.1, 0.1, 1);

	osg::Node* battle;
	if (in_impostor)
		battle = osgDB::readNodeFile("Models/3rd/battle.osgt", _options);
	else
		battle = osgDB::readNodeFile("Models/3rd/battle_orig.osgt", _options);

	for (int x=0; x<10; x++)
		for (int y=0; y<10; y++)
			_sceneNode->addChild(SetObject(battle, osg::Vec3(10 + 150*x, 10 + 125*y, 0), 0, osg::Vec3(0.1, 0.1, 0.1)));

	SetStartPosition(osg::Vec3(0,100,100));
}