//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#ifndef MYSNAPIMAGE_H
#define MYSNAPIMAGE_H

#include <osgDB/WriteFile>

class MySnapImage : public osg::Camera::DrawCallback
{
public:

        MySnapImage();
        void setSnapImageOnNextFrame(bool flag) { _snapImageOnNextFrame = flag; }
        bool getSnapImageOnNextFrame() const { return _snapImageOnNextFrame; }

                osg::Image* GetImage() {return _image.get();}

        virtual void operator () (const osg::Camera& camera) const;

protected:

        osg::ref_ptr<osg::Image>  _image;
        mutable bool        _snapImageOnNextFrame;


};

#endif

