//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#ifndef MYTEXTURESTORESLOT_H
#define MYTEXTURESTORESLOT_H

#include <osg/NodeVisitor>
#include <osg/Geode>
#include <osg/Geometry>

#include <string>
#include <sstream>


class MyTextureStoreSlot
{
    public:
		
		std::string OrigFullFileName;
		std::string OrigFileName;
		std::string Path;
		std::string Sizes;

		osg::Texture* Texture;

		std::string GetCompleteFileName();

		void UpdateSizes();

		void ComputeImageName(bool in_folderPerFile = false, bool in_completeNames = true);
		void RestoreImageName();

};

#endif