//======================================
//=== Copyright (c) 2014 Dušan Hupka ===
//=== BSD License                    ===
//=== xhupka00@stud.fit.vutbr.cz     ===
//======================================



#ifndef MYVERTCOUNT_H
#define MYVERTCOUNT_H

#include <osgViewer/Viewer>
#include <osgGA/CameraManipulator>
#include <osgGA/TrackballManipulator>
#include <osgUtil/Optimizer>
#include <osgDB/readfile>
#include <osgDB/ImagePager>
#include <osgDB/WriteFile>
#include <osg/Drawable>
#include <osg/group>
#include <osg/ProxyNode>
#include <osg/ref_ptr>
#include <osg/NodeVisitor>


class MyVertCount : public osg::NodeVisitor
{
public:
    MyVertCount();

	virtual void apply( osg::Geode& in_geode );

	long GetPolyCount();

protected:
    unsigned long _polyCount;
    osg::ref_ptr<osg::Node> _node;
};


#endif